# Report a Post

## Report existing post

<mark style="color:green;">`POST`</mark> `https://api.whisk.com/v2/posts/{post_id}/report`

Method allows usser to report specific post or review. Review or post could be reported by `post_id`. Reported post will be hide from all pages. Report will be submitted to Whisk moderators team and could be accepted or rejected. If moderators team decide that post/review is not harmful they'll accept it and post will apper everuwhere automatically. If they'll reject it - post will be hidden forever.

#### Query Parameters

| Name                                       | Type   | Description       |
| ------------------------------------------ | ------ | ----------------- |
| post\_id<mark style="color:red;">\*</mark> | String | Post id to report |

#### Headers

| Name                                            | Type   | Description                                                                            |
| ----------------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | User Access token to authorize the API usage. For more information, see Authentication |

#### Request Body

| Name                                           | Type   | Description                                                                                                                                                           |
| ---------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| report\_info<mark style="color:red;">\*</mark> | Object | An object for report info                                                                                                                                             |
| reason<mark style="color:red;">\*</mark>       | Enum   | <p>Reason for report, predefined. </p><p>REPORT\_REASON\_INVALID;</p><p>REPORT\_REASON\_SPAM;</p><p>REPORT\_REASON\_NSFW;</p><p>REPORT\_REASON\_IP\_INFRINGEMENT;</p> |
| email<mark style="color:red;">\*</mark>        | String | Reporter's email. So for moderators team it would be possible to contact him if needed                                                                                |
| comment                                        | String | Comment submitted by reporter                                                                                                                                         |

{% tabs %}
{% tab title="200: OK Successful response" %}

```json
{}
```

{% endtab %}

{% tab title="401: Unauthorized This failed response appears due to API authentication failure. The possible error codes that may appear are: auth.tokenNotFound, auth.tokenExpired, auth.tokenInvalid, auth.tokenRequired." %}

```
{
  "code": "auth.tokenNotFound"
}
```

{% endtab %}

{% tab title="500: Internal Server Error This failed response appears when something is not right on Whisk's end. Please send a message to <help@whisk.com>, and be sure to include both the Request and Response data. We’ll get back to you soon." %}

```
This is unexpected response, something is wrong on our side, please contact: help@whisk.com
```

{% endtab %}
{% endtabs %}

### Request body

```json
{
  "report_info": {
    "reason": "REPORT_REASON_INVALID",
    "email": "string",
    "comment": "string"
  }
}
```

### Sample request and response

{% tabs %}
{% tab title="Request" %}
curl -X POST "<https://api.b2c.whisk-dev.com/v2/posts/ed4e8ddf1d9349c7b1c0695d9c4741ea/report>" -H "accept: application/json" -H "Authorization: Bearer " -H "Content-Type: application/json" -d "{ "report\_info": { "reason": "REPORT\_REASON\_SPAM", "email": "<julia.shebeko@whisk.com>", "comment": "test" }}"
{% endtab %}

{% tab title="Response" %}
{}
{% endtab %}
{% endtabs %}
